List documents
curl --request GET \
--url https://api.fastcac.com/v1/registrations/{registration_id}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/registrations/{registration_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/registrations/{registration_id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/registrations/{registration_id}/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/registrations/{registration_id}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"object": "document",
"id": "doc_0jd3TbM5Wc0AkCGZSKYBKn",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "means_of_id",
"filename": "means_of_id.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
},
{
"object": "document",
"id": "doc_2rd5SWxBhoQGhKZjWBxIWb",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "passport",
"filename": "passport.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
},
{
"object": "document",
"id": "doc_3g6EJYHVKNTzECvBQ3w6lL",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "signature",
"filename": "signature.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
}
],
"has_more": false
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_kdwpKsFMKS4VzLjqZJ0ntdrl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations aren't open yet. Use a test key (fc_test_…) for now.",
"param": null,
"request_id": "req_oYVCIHqeYbgIA3lIzwG0PO5r"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_RlcFqswqrJZos4pnRMH3wa8d"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Registrations
List documents
GET
/
registrations
/
{registration_id}
/
documents
List documents
curl --request GET \
--url https://api.fastcac.com/v1/registrations/{registration_id}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/registrations/{registration_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/registrations/{registration_id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/registrations/{registration_id}/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/registrations/{registration_id}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"object": "document",
"id": "doc_0jd3TbM5Wc0AkCGZSKYBKn",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "means_of_id",
"filename": "means_of_id.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
},
{
"object": "document",
"id": "doc_2rd5SWxBhoQGhKZjWBxIWb",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "passport",
"filename": "passport.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
},
{
"object": "document",
"id": "doc_3g6EJYHVKNTzECvBQ3w6lL",
"registration_id": "reg_4kMzPP2CrSMnY18kiANzau",
"proprietor": 0,
"kind": "signature",
"filename": "signature.jpg",
"content_type": "image/jpeg",
"size": 8,
"status": "verified",
"reason": null,
"created_at": "2026-10-23T22:17:57Z"
}
],
"has_more": false
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_kdwpKsFMKS4VzLjqZJ0ntdrl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations aren't open yet. Use a test key (fc_test_…) for now.",
"param": null,
"request_id": "req_oYVCIHqeYbgIA3lIzwG0PO5r"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_RlcFqswqrJZos4pnRMH3wa8d"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Your secret API key: fc_test_… in test mode, fc_live_… in live mode.